<?xml version='1.0' encoding='UTF-8'?>
<PREREQUISITETESTS>
    
    <PREREQUISITESET NAME="oracle.odac.client_Custom_install">
        <PREREQUISITESETREF NAME="minimalTests"/>
        <PREREQUISITESETREF NAME="requiredTests"/>
    </PREREQUISITESET>
	
	<PREREQUISITESET NAME="oracle.odac.server_Custom_install">
        <PREREQUISITESETREF NAME="minimalTests"/>
        <PREREQUISITESETREF NAME="requiredTests"/>
    </PREREQUISITESET>

    <PREREQUISITESET NAME="minimalTests">
        <PREREQUISITEREF NAME="CertifiedVersions" SEVERITY="Error"/>
        <PREREQUISITEREF NAME="ServicePackChecks" SEVERITY="Error"/>
        <PREREQUISITEREF NAME="TotalMemory" SEVERITY="Warning"/>
        <PREREQUISITEREF NAME="CheckPathEnvVariableLength" SEVERITY="Error"/>
    </PREREQUISITESET>

    <PREREQUISITESET NAME="requiredTests">
   		<PREREQUISITEREF NAME="OracleHomeSpace" SEVERITY="Error"/>
    </PREREQUISITESET>
    
    <PREREQUISITE NAME="CertifiedVersions"
                EXTERNALNAME="Is the Oracle software certified on the current O/S?"
                EXTERNALNAMEID="S_CHECK_CERTIFIED_VERSIONS@oracle.install.prereqs.resources.PrereqRes" SEVERITY="Error">
        <DESCRIPTION TEXT="This is a prerequisite condition to test whether the Oracle software is certified on the current O/S or not."
                TEXTID="S_CHECK_CERTIFIED_VERSIONS_DESCRIPTION@oracle.install.prereqs.resources.PrereqRes"/>
        <RULESETREF NAME="OSChecks" RULE="CertifiedVersions" FILE="odac/refhost.xml"
                RESULTS_FILE="install_rule_results.xml"/>
        <PROBLEM TEXT="This Oracle software is not certified on the current O/S."
                TEXTID="S_CHECK_CERTIFIED_VERSIONS_ERROR@oracle.install.prereqs.resources.PrereqRes"/>
        <RECOMMENDATION TEXT="Make sure you are installing the software on a certified platform." 
                TEXTID="S_CHECK_CERTIFIED_VERSIONS_ACTION@oracle.install.prereqs.resources.PrereqRes"/>
    </PREREQUISITE>

	<PREREQUISITE NAME="ServicePackChecks"
                EXTERNALNAME="Checking service pack"
                EXTERNALNAMEID="S_CHECK_SERVICE_PACK@oracle.install.prereqs.resources.PrereqRes"
                SEVERITY="Error">
        <DESCRIPTION TEXT="This is a prerequisite condition to test whether the Service Pack level recommended for installing the product is available on the system."
                TEXTID="S_CHECK_SERVICE_PACK_DESCRIPTION@oracle.install.prereqs.resources.PrereqRes"/>
        <RULESETREF NAME="ServicePackChecks" RULE="CheckServicePack" FILE="odac/refhost.xml"
                RESULTS_FILE="install_rule_results.xml"/>
        <PROBLEM TEXT="The system does not have the minimum Service Pack level."
                TEXTID="S_CHECK_SERVICE_PACK_ERROR@oracle.install.prereqs.resources.PrereqRes">
        </PROBLEM>
        <RECOMMENDATION TEXT="Install the recommended Service Pack."
                TEXTID="S_CHECK_SERVICE_PACK_ACTION@oracle.install.prereqs.resources.PrereqRes"/>
    </PREREQUISITE>

    <PREREQUISITE NAME="TotalMemory"
                EXTERNALNAME="Does the system have sufficient physical memory?"
                EXTERNALNAMEID="S_CHECK_TOTAL_MEMORY@oracle.install.prereqs.resources.PrereqRes"
                SEVERITY="Warning">
        <DESCRIPTION TEXT="This is a prerequisite condition to test whether the system has sufficient physical memory."
                TEXTID="S_CHECK_TOTAL_MEMORY_DESCRIPTION@oracle.install.prereqs.resources.PrereqRes"/>
        <RULESETREF NAME="SystemChecks" RULE="CheckPhysicalMemory" FILE="odac/refhost.xml"
                RESULTS_FILE="install_rule_results.xml"/>
        <PROBLEM TEXT="The system does not have sufficient physical memory to perform the install."
                TEXTID="S_CHECK_TOTAL_MEMORY_ERROR@oracle.install.prereqs.resources.PrereqRes">
        </PROBLEM>
        <RECOMMENDATION TEXT="Upgrade the memory for your system in order for Oracle software to function."
                TEXTID="S_CHECK_TOTAL_MEMORY_ACTION@oracle.install.prereqs.resources.PrereqRes"/>
    </PREREQUISITE>

    <PREREQUISITE NAME="AvailableMemory"
                EXTERNALNAME="Does the system have sufficient available memory?"
                EXTERNALNAMEID="S_CHECK_AVAILABLE_MEMORY@oracle.install.prereqs.resources.PrereqRes"
                SEVERITY="Warning">
        <DESCRIPTION TEXT="This is a prerequisite condition to test whether the system has sufficient available memory."
                TEXTID="S_CHECK_AVAILABLE_MEMORY_DESCRIPTION@oracle.install.prereqs.resources.PrereqRes"/>
        <RULESETREF NAME="SystemChecks" RULE="CheckAvailableMemory" FILE="odac/refhost.xml"
                RESULTS_FILE="install_rule_results.xml"/>
        <PROBLEM TEXT="The system does not have sufficient free memory to perform the install."
                TEXTID="S_CHECK_AVAILABLE_MEMORY_ERROR@oracle.install.prereqs.resources.PrereqRes">
        </PROBLEM>
        <RECOMMENDATION TEXT="Close applications to make sure that the system has sufficient free memory to perform the install."
                TEXTID="S_CHECK_AVAILABLE_MEMORY_ACTION@oracle.install.prereqs.resources.PrereqRes"/>
    </PREREQUISITE>

    <PREREQUISITE NAME="OracleHomeSpace"
                EXTERNALNAME="ORACLE_HOME contains spaces"
                EXTERNALNAMEID="S_CHECK_ORACLE_HOME_SPACE@oracle.install.prereqs.resources.PrereqRes"
                SEVERITY="Error">
        <DESCRIPTION TEXT="This is a prerequisite condition to test whether ORACLEHOME value has spaces ."
                TEXTID="S_CHECK_ORACLE_HOME_SPACE_DESCRIPTION@oracle.install.prereqs.resources.PrereqRes"/>
        <RULESETREF NAME="InstallPrereq_OracleHomeChecks" RULE="CheckForSpaces" FILE="odac/refhost.xml"
                RESULTS_FILE="install_rule_results.xml"/>
        <PROBLEM TEXT="The environment variable 'ORACLE_HOME' has spaces."
                TEXTID="S_CHECK_ORACLE_HOME_SPACE_ERROR@oracle.install.prereqs.resources.PrereqRes">
        </PROBLEM>
        <RECOMMENDATION TEXT="Remove the spaces from the chosen ORACLE_HOME ."
                TEXTID="S_CHECK_ORACLE_HOME_SPACE_ACTION@oracle.install.prereqs.resources.PrereqRes"/>
    </PREREQUISITE>

    <PREREQUISITE NAME="CheckPathEnvVariableLength"
                EXTERNALNAME="Checking the length of PATH environment variable"
                EXTERNALNAMEID="S_CHECK_PATH_ENV_VAR_LEN@oracle.install.prereqs.resources.PrereqRes"
                SEVERITY="Error">
        <DESCRIPTION TEXT="This is a prerequisite condition to test whether the PATH environment variable is within the allowable character limits. On Windows XP and Windows 2003, the  maximum character allowed is 8191. On Windows 2000, NT and 98, the limit is 1023 characters."
                TEXTID="S_CHECK_PATH_ENV_VAR_LEN_DESCRIPTION@oracle.install.prereqs.resources.PrereqRes"/>
        <RULESETREF NAME="InstallPrereq_PathEnvVariableChecks" RULE="CheckPathEnvVarMaxLength" FILE="odac/refhost.xml"
                RESULTS_FILE="install_rule_results.xml"/>
        <PROBLEM TEXT="The environment variable 'PATH' has more than allowable character limit."
                TEXTID="S_CHECK_PATH_ENV_VAR_LEN_ERROR@oracle.install.prereqs.resources.PrereqRes">
        </PROBLEM>
        <RECOMMENDATION TEXT="During installation, Oracle appends ORACLE_HOME/bin folder to the PATH environment variable. The config tools that may be run post installation may depend on the PATH. However the PATH on your system has more than the allowable character limit.  Due to this, Oracle cannot append the ORACLE_HOME/bin folder in the PATH. On Windows XP and Windows 2003, the  maximum character allowed is 8191. On Windows 2000, NT and 98, the limit is 1023 characters. Remove any unwanted PATH entries."
                TEXTID="S_CHECK_PATH_ENV_VAR_LEN_ACTION@oracle.install.prereqs.resources.PrereqRes"/>
    </PREREQUISITE>

</PREREQUISITETESTS>
